> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexxible.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get operation details

> Returns the public details of an existing operation in the authorized organization.



## OpenAPI

````yaml /en/api-reference/openapi.en-v1.json get /v1/organizations/{organization_id}/operations/{operation_id}
openapi: 3.0.3
info:
  title: Public Portal API
  version: 1.0.0
  description: Public REST API for portal
servers:
  - url: https://api.staging.flxwvdexternal.com
    description: Staging API server.
security:
  - bearerAuth: []
tags: []
paths:
  /v1/organizations/{organization_id}/operations/{operation_id}:
    get:
      tags:
        - Operations
      summary: Get operation details
      description: >-
        Returns the public details of an existing operation in the authorized
        organization.
      operationId: get_operation_by_id
      parameters:
        - name: organization id
          in: path
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{24}$
            minLength: 24
            maxLength: 24
          description: Organization identifier.
          example: 507f1f77bcf86cd799439011
        - name: operation_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{24}$
            minLength: 24
            maxLength: 24
          description: Identifier of the operation.
          example: 64f0c2a1b2d3e4f506070811
      responses:
        '200':
          description: Operation successfully retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOperationByIdResponseV1'
              examples:
                operation_detail:
                  summary: Operation details
                  value:
                    id: 64f0c2a1b2d3e4f506070811
                    organization_id: 507f1f77bcf86cd799439011
                    name: remote_assistance
                    description: Remote assistance operation
                    status: finished
                    created_at: '2026-03-10T09:11:45Z'
                    started_at: '2026-03-10T09:12:00Z'
                    ended_at: '2026-03-10T09:15:17Z'
                    microservice_id: 64f0c2a1b2d3e4f506070833
                    flow_id: 64f0c2a1b2d3e4f506070844
                    remote_support:
                      start_date: '2026-03-10T09:12:00Z'
                      end_date: '2026-03-10T09:15:17Z'
                      type: unattended
        '400':
          description: Invalid route parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                invalid_identifier:
                  summary: Invalid identifier format
                  value:
                    error:
                      message: The operation identifier is not valid
                      code: bad_request
                      details: >-
                        operation_id must be 24 lowercase hexadecimal
                        characters.
        '401':
          description: Not authorized or without access to the organization.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unauthorized:
                  summary: Authorization failure
                  value:
                    error:
                      message: Unauthorized
                      code: unauthorized
        '404':
          description: Operation not found in the organization's authorized scope.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                not_found:
                  summary: Non-existent operation
                  value:
                    error:
                      message: Operation not found
                      code: not_found
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unexpected_error:
                  summary: Unexpected error
                  value:
                    error:
                      message: Internal Server Error
                      code: internal_error
components:
  schemas:
    GetOperationByIdResponseV1:
      type: object
      properties:
        id:
          type: string
          pattern: ^[0-9a-f]{24}$
          minLength: 24
          maxLength: 24
          description: Operation execution identifier.
        name:
          type: string
          description: Operation name.
        organization_id:
          type: string
          pattern: ^[0-9a-f]{24}$
          minLength: 24
          maxLength: 24
          description: Identifier of the organization owning the operation.
        description:
          type: string
          description: >-
            Operation description. An empty string is returned when it doesn't
            exist at source.
        status:
          type: string
          enum:
            - finished
            - unknown
            - error
            - pending
            - in-progress
            - timeout
            - cancelled
            - scheduled
          description: Current operation status.
        created_at:
          type: string
          format: date-time
          description: Creation timestamp.
        started_at:
          type: string
          format: date-time
          nullable: true
          description: Start timestamp.
        ended_at:
          type: string
          format: date-time
          nullable: true
          description: Completion timestamp.
        microservice_id:
          type: string
          nullable: true
          pattern: ^[0-9a-f]{24}$
          minLength: 24
          maxLength: 24
          description: Related microservice identifier, when it exists.
        flow_id:
          type: string
          nullable: true
          pattern: ^[0-9a-f]{24}$
          minLength: 24
          maxLength: 24
          description: Related flow identifier, when it exists.
        remote_support:
          $ref: '#/components/schemas/GetOperationByIdRemoteSupportV1'
      required:
        - id
        - organization id
        - name
        - description
        - status
        - created_at
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
            details:
              type: string
          required:
            - message
            - code
      required:
        - error
    GetOperationByIdRemoteSupportV1:
      type: object
      nullable: true
      properties:
        start_date:
          type: string
          format: date-time
          nullable: true
          description: Remote support start date.
        end_date:
          type: string
          format: date-time
          nullable: true
          description: Remote support end date.
        type:
          type: string
          nullable: true
          description: Type of remote support session.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````